Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.soap
Interface SoapVersion

All Known Implementing Classes:
  AbstractSoapVersion, SoapVersion11, SoapVersion12

    public interface SoapVersion

Public behaviour for a SOAP Version

Author:
  ole.matzura

Nested Class Summary
`static class` | `SoapVersion.Utils` Utilities

Field Summary
`static SoapVersion11` | `Soap11`
`static SoapVersion12` | `Soap12`

Method Summary
`javax.xml.namespace.QName` | `getBodyQName()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContentTypeHttpHeader(java.lang.String encoding, java.lang.String soapAction)`
`java.lang.String` | `getEncodingNamespace()`
`java.lang.String` | `getEnvelopeNamespace()`
`javax.xml.namespace.QName` | `getEnvelopeQName()`
`org.apache.xmlbeans.SchemaType` | `getEnvelopeType()`
`org.apache.xmlbeans.SchemaType` | `getFaultType()`
`javax.xml.namespace.QName` | `getHeaderQName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSoapActionHeader(java.lang.String soapAction)`
`org.apache.xmlbeans.XmlObject` | `getSoapEncodingSchema()`
`org.apache.xmlbeans.XmlObject` | `getSoapEnvelopeSchema()`
`boolean` | `shouldIgnore(org.apache.xmlbeans.XmlValidationError xmlError)` Checks if the specified validation error should be ignored for a message with this SOAP version.
`void` | `validateSoapEnvelope(java.lang.String soapMessage, java.util.List<org.apache.xmlbeans.XmlError> errors)`

Field Detail

### Soap11

    static final SoapVersion11 Soap11

### Soap12

    static final SoapVersion12 Soap12

Method Detail

### getEnvelopeQName

    javax.xml.namespace.QName getEnvelopeQName()

### getBodyQName

    javax.xml.namespace.QName getBodyQName()

### getHeaderQName

    javax.xml.namespace.QName getHeaderQName()

### validateSoapEnvelope

    void validateSoapEnvelope(java.lang.String soapMessage,
                              java.util.List<org.apache.xmlbeans.XmlError> errors)

### getContentTypeHttpHeader

    java.lang.String getContentTypeHttpHeader(java.lang.String encoding,
                                              java.lang.String soapAction)

### getEnvelopeNamespace

    java.lang.String getEnvelopeNamespace()

### getEncodingNamespace

    java.lang.String getEncodingNamespace()

### getSoapEncodingSchema

    org.apache.xmlbeans.XmlObject getSoapEncodingSchema()
                                                        throws org.apache.xmlbeans.XmlException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### getSoapEnvelopeSchema

    org.apache.xmlbeans.XmlObject getSoapEnvelopeSchema()
                                                        throws org.apache.xmlbeans.XmlException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### shouldIgnore

    boolean shouldIgnore(org.apache.xmlbeans.XmlValidationError xmlError)

  Checks if the specified validation error should be ignored for a message with this SOAP version. (The SOAP-spec may allow some constructions not allowed by the corresponding XML-Schema)

### getContentType

    java.lang.String getContentType()

### getEnvelopeType

    org.apache.xmlbeans.SchemaType getEnvelopeType()

### getFaultType

    org.apache.xmlbeans.SchemaType getFaultType()

### getName

    java.lang.String getName()

### getSoapActionHeader

    java.lang.String getSoapActionHeader(java.lang.String soapAction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.